%{?nodejs_find_provides_and_requires}
Name:                nodejs-foreach
Version:             2.0.6
Release:             1
Summary:             Iterate over the key value pairs of an object
License:             MIT
URL:                 https://github.com/manuelstofer/foreach
Source0:             https://github.com/manuelstofer/foreach/archive/%{version}/foreach-%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
BuildRequires:       npm(tape)
%description
Iterate over the key value pairs of either an array-like
object or a dictionary like object.

%prep
%autosetup -n foreach-%{version} -p1
rm -rf node_modules

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/foreach
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/foreach
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} test.js

%files
%{!?_licensedir:%global license %doc}
%doc Readme.md
%license LICENSE
%{nodejs_sitelib}/foreach

%changelog
* Mon Oct 30 2023 yaoxin <yao_xin001@hoperun.com> - 2.0.6-1
- Upgrade to 2.0.6

* Thu Nov 26 2020 leiju <leiju4@huawei.com> - 2.0.5-2
- delete nodejs-foreach.spec.old redundancy file

* Thu Aug 20 2020 Anan Fu <fuanan3@huawei.com> - 2.0.5-1
- package init
